Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class Blatt

    java.lang.Object
      Blatt

    public class Blatt

extends java.lang.Object

Zeichenblatt zum Zeichnen von Grafikobjekten

Version:
  (0.1)
Author:
  (Dr. Kiesmüller)

Constructor Summary
`Blatt()` Konstruktor für Objekte der Klasse Blatt

Method Summary
`void` | `zeichneKreis(int r, int x, int y, int f)` Methode zum Zeichnen eines Kreises Radius, x- und y-Koordinate des Mittelpunktes und Farbnummer sind als natürliche Zahlen anzugeben
`void` | `zeichneKreisring(int r1, int x, int y, int f, int r2)` Methode zum Zeichnen eines Kreisrings Unterschiedliche Radien zweier Kreise, x- und y-Koordinate des gemeinsamen Mittelpunktes und Farbnummer des Kreisrings sind als natürliche Zahlen anzugeben; Kreis2 wird die Hintergrundfarbe des Blattes zugewiesen

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Blatt

    public Blatt()

  Konstruktor für Objekte der Klasse Blatt

Method Detail

### zeichneKreis

    public void zeichneKreis(int r,
                             int x,
                             int y,
                             int f)

  Methode zum Zeichnen eines Kreises Radius, x- und y-Koordinate des Mittelpunktes und Farbnummer sind als natürliche Zahlen anzugeben

  Parameters:
    `r` - Kreisradius
    `x` - x-Koordinate Mittelpunkt
    `y` - y-Koordinate Mittelpunkt
    `f` - Farbnummer

### zeichneKreisring

    public void zeichneKreisring(int r1,
                                 int x,
                                 int y,
                                 int f,
                                 int r2)

  Methode zum Zeichnen eines Kreisrings Unterschiedliche Radien zweier Kreise, x- und y-Koordinate des gemeinsamen Mittelpunktes und Farbnummer des Kreisrings sind als natürliche Zahlen anzugeben; Kreis2 wird die Hintergrundfarbe des Blattes zugewiesen

  Parameters:
    `r1` - Kreisradius von Kreis1
    `r2` - Kreisradius von Kreis2
    `x` - x-Koordinate Mittelpunkt
    `y` - y-Koordinate Mittelpunkt
    `f` - Farbnummer des Kreisrings

Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD